# Remove-RASSAMLIDP

### NAME

Remove-RASSAMLIDP\ <br>

### SYNOPSIS

Removes the SAMLIDP specified by name from the Licensing Server site (default).\ <br>

### SYNTAX

Remove-RASSAMLIDP \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASSAMLIDP.html#Id)] *\<uint>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASSAMLIDP.html#CommonParameters)*>*]\
\
Remove-RASSAMLIDP \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASSAMLIDP.html#InputObject)] *<*[*SAMLIDP*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/SAMLIDP.html)*>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASSAMLIDP.html#CommonParameters)*>*]\
\
Remove-RASSAMLIDP \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASSAMLIDP.html#Name)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASSAMLIDP.html#SiteId)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASSAMLIDP.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

To remove a SAMLIDP from a specific site, specify the -SiteId parameter.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the SAMLIDP to remove from a site.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to remove the SAMLIDP.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the SAMLIDP to remove from the site.\
\
To obtain the ID, use the Get-SAMLIDP cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**SAMLIDP**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/SAMLIDP.html)**>**\
The SAMLIDP to remove from a site.\
\
To obtain a SAMLIDP object representing a SAMLIDP, use the Get-SAMLIDP command.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[SAMLIDP](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/SAMLIDP.html)

### OUTPUTS

[SAMLIDP](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/SAMLIDP.html)[The](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/The.html)[server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/server.html)[or](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/or.html)[authorization](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/authorization.html)[authority](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/authority.html)[that](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/that.html)[the](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/the.html)[client](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/client.html)[can](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/can.html)[use](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/use.html)[to](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/to.html)[authenticate](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/authenticate.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Remove-RASSAMLIDP "My SAMLIDP"\
\
Removes the SAMLIDP specified by name from the Licensing Server site (default).\
\
To remove a SAMLIDP from a specific site, specify the -SiteId parameter.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Remove-RASSAMLIDP -Id 10\
\
Removes the SAMLIDP specified by ID. To obtain the group ID, use the Get-SAMLIDP cmdlet.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASSAMLIDP -Id 10 | Remove-RASSAMLIDP\
\
Removes a SAMLIDP, which is identified by an object obtained from the pipeline output.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/remove-rassamlidp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
